package cn.wise.sc.energy.power.plant.business.bean;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ConcurrentLinkedQueue;

/**
 * @description: 返回结果  异步
 * @author: qh
 * @create: 2020-05-26 10:38
 **/
@Data
public class DataPowerAsync {


    /**
     * X轴数据
     */
    ConcurrentLinkedQueue<Object> xAxis = new ConcurrentLinkedQueue<>();

    /**
     * 折线图的点数据
     */
    ConcurrentLinkedQueue<DataPowerAsync.PowerPoints> dataList = new ConcurrentLinkedQueue<>();

    /**
     * 数据
     */
    @Data
    public static class PowerPoints {
        /**
         * 测点名
         */
        private String name;
        /**
         * Y轴值集合
         */
        private ConcurrentLinkedQueue<String> value = new ConcurrentLinkedQueue<>();
    }

}
