package cn.wise.sc.energy.power.plant.business.domain;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description: 波形图
 * @author: qh
 * @create: 2020-08-20 15:24
 **/
@Data
public class Oscillogram {

    /**
     * kkscode
     */
    private String kKsCode;
    /**
     * 开始时间
     */
    private Long start;

    /**
     * 数据
     */
    private List<Float> mapData;

    /**
     * 偏移量
     */
    private List<Float> mapKeyPhaseOffset;

    /**
     * 特征信息
     */
    private String noVersionData;

    /**
     * 特征偏移
     */
    private List<Float> noVersionKeyPhaseOffset;

    /**
     * 时间间隔
     */
    private Long timeSpan;

    private Integer recordFlag;

    private Long startTime;

    private String rowKey;

    private Integer Period;
    private Integer GenerationFreq;
    private String KeyPhaseTyped;
    private Integer PoleNum;
}
