package cn.wise.sc.energy.power.plant.business.repository;

import cn.wise.sc.energy.power.plant.business.domain.AlertInfo;
import cn.wise.sc.energy.power.plant.business.domain.AutoInspection;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @description: 阈值更新记录仓储
 * @author: neo.shu
 * @create: 2020-10-06 14:41
 **/
@Repository
public interface AutoInspectionRepository extends
        JpaRepository<AutoInspection, Integer>,
        JpaSpecificationExecutor<AutoInspection> {

    List<AutoInspection> findAutoInspectionsById(String id);

}
